<script>
	const jwx = require('jweixin-module')
	export default {
		onLaunch: function() {
			this.$nextTick(() => {
				let link = window.location.href;
				if (/code=/.test(link) || link.indexOf("code") > -1) {
					let temp = decodeURIComponent((new RegExp('[?|&]' + 'code' + '=' + '([^&;]+?)(&|#|;|$)')
						.exec(link) || [, ''])[1].replace(/\+/g, '%20')) || null
					let xtdk_lifeData = uni.getStorageSync('xtdk_lifeData')
					if (!xtdk_lifeData.vuex_token) {
						this.$u.api.login({
							code: temp
						}).then(res => {
							this.$u.vuex('vuex_token', res.token)
							this.$u.api.user().then(res => {
								this.$u.vuex('vuex_user', res)
								let url = location.href.split('#')[0]
								let link = "https://vr.langye.net/h5xtdk/";
								this.$u.api.share({
									url
								}).then(res => {
									jwx.config({
										debug: false, // 开启调试模式,调用的所有 api 的返回值会在客户端 alert 出来，若要查看传入的参数，可以在 pc 端打开，参数信息会通过 log 打出，仅在 pc 端时才会打印。
										appId: res.appId,
										jsApiList: res.jsApiList,
										nonceStr: res.nonceStr,
										signature: res.signature,
										timestamp: res.timestamp,
									})
									jwx.ready(() => {
										jwx.updateAppMessageShareData({
											title: '斜塘党员冬训云端Walk行', // 分享标题
											link: link, // 分享链接,该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
											desc: '点击查看',
											imgUrl: 'https://vr.langye.net/storage/files/170899758665dd3bd2c88c7.png', // 分享图标
											success: () => {
												console.log(
													'updateAppMessageShareData-success'
													)
											},

										});
										jwx.updateTimelineShareData({
											title: '斜塘党员冬训云端Walk行', // 分享标题
											desc: '点击查看',
											link: link, // 分享链接,该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
											imgUrl: 'https://vr.langye.net/storage/files/170899758665dd3bd2c88c7.png', // 分享图标
											success: () => {
												console.log(
													'updateTimelineShareData-success'
													)
											}
										});
									})
								})
							})
						})
					} else {
						this.$u.api.user().then(res => {
							this.$u.vuex('vuex_user', res)


							let url = location.href.split('#')[0]
							let link = "https://vr.langye.net/h5xtdk/";
							this.$u.api.share({
								url
							}).then(res => {
								jwx.config({
									debug: false, // 开启调试模式,调用的所有 api 的返回值会在客户端 alert 出来，若要查看传入的参数，可以在 pc 端打开，参数信息会通过 log 打出，仅在 pc 端时才会打印。
									appId: res.appId,
									jsApiList: res.jsApiList,
									nonceStr: res.nonceStr,
									signature: res.signature,
									timestamp: res.timestamp,
								})
								jwx.ready(() => {
									jwx.updateAppMessageShareData({
										title: '斜塘党员冬训云端Walk行', // 分享标题
										desc: '点击查看',
										link: link, // 分享链接,该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
										imgUrl: 'https://vr.langye.net/storage/files/170899758665dd3bd2c88c7.png', // 分享图标
										success: () => {
											console.log(
												'updateAppMessageShareData-success'
												)
										},

									});
									jwx.updateTimelineShareData({
										title: '斜塘党员冬训云端Walk行', // 分享标题
										desc: '点击查看',
										link: link, // 分享链接,该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
										imgUrl: 'https://vr.langye.net/storage/files/170899758665dd3bd2c88c7.png', // 分享图标
										success: () => {
											console.log(
												'updateTimelineShareData-success'
												)
										}
									});
								})
							})
						})
					}
				} else {
					
					// this.$u.vuex('vuex_token', "8642|kSbQ892iDUpZKFVIhMJjoDTm04lo1em9VE4Hej1r")
					this.$u.api.getAppId().then(res => {
						let redirect = encodeURIComponent(link.replace(/#\//, ""))
						window.location.href =
							`https://open.weixin.qq.com/connect/oauth2/authorize?appid=${res.appid}&redirect_uri=${redirect}&response_type=code&scope=snsapi_base#wechat_redirect`
					})
				}
			})

		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	@import "uview-ui/index.scss";
		@import "@/GAL/css/gal.css";
</style>